<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<f:view contracts="#{templateBean.contract}">
    <ui:composition template="/template.xhtml">
        <ui:define name="pageTitle">#{msg_startpage['title']}</ui:define>
        <ui:define name="header">
            <h:outputStylesheet name="/css/startpage.css"/>
            <h:outputScript name="/js/startpage.js"/>
        </ui:define>
        <ui:define name="content">
            <!-- TODO: Display infobox with general information (i.e website/scripts/system resources/versions or statistics) -->
            <!-- TODO: Display box with logging information -->
            <div id="projectbar">
                <div class="ui-g">
                    <div id="projectbar__header">
                        <p>#{msg_startpage['sites']}</p>
                        <div id="btn-addsite" class="fa fa-plus-circle" onclick="PF('js-dlg-addsite').show();"/>
                    </div>

                    <h:dataTable value="#{startpageController.sites}" var="site" id="projectbar__content">
                        <h:column>
                            <h:form styleClass="site-entry">
                                <h:commandLink action="#{startpageController.onSiteEntrySelect(site)}">
                                    <div id="#{startpageController.isSelected(site) ? 'site-entry--selected' : ''}"
                                         class="fa fa-angle-double-right"/>
                                    <span>#{site.name}</span>
                                </h:commandLink>
                                <p:commandLink actionListener="#{startpageController.onSiteEntryRemoveClick(site)}">
                                    <div id="btn-removesite" class="fa fa-remove"
                                         onclick="PF('dlg-removesite').show();"/>
                                </p:commandLink>
                            </h:form>
                        </h:column>
                    </h:dataTable>
                </div>
            </div>

            <h:form>
                <p:dialog header="#{msg_startpage['createSite']}" widgetVar="js-dlg-addsite" modal="true"
                          resizable="false"
                          showEffect="fade" hideEffect="fade" focus="sitename">
                    <h:panelGrid id="pnlAddSite" style="width: 100%;">
                        <h:column>
                            <div class="ui-inputgroup">
                                <p:inputText value="#{startpageController.userName}"
                                             styleClass="ui-g-12" readonly="true"
                                             required="true" requiredMessage="#{msg_startpage['usernameRequired']}"/>
                                <span class="ui-inputgroup-addon"><i class="fa fa-user"/></span>
                            </div>
                        </h:column>

                        <p:inputText id="sitename" value="#{startpageController.siteName}"
                                     required="true" requiredMessage="#{msg_startpage['sitenameRequired']}"
                                     placeholder="#{msg_startpage['siteName']}" styleClass="ui-g-12"/>

                        <p:commandButton value="OK"
                                         actionListener="#{startpageController.addSite}"
                                         styleClass="ui-g-12 ui-g-nopad"
                                         update="projectbar__content"
                                         oncomplete="handleAddSiteRequest(xhr, status, args)"/>
                    </h:panelGrid>
                </p:dialog>
            </h:form>

            <p:dialog header="#{msg['areYouSure']}" widgetVar="dlg-removesite"
                      modal="true" resizable="false"
                      showEffect="fade" hideEffect="fade">
                <h:form>
                    <p:commandButton value="#{msg['delete']}"
                                     actionListener="#{startpageController.removeSelectedNetworkSite()}"
                                     styleClass="ui-g-12 ui-g-nopad"
                                     update="projectbar__content"
                                     onclick="PF('dlg-removesite').hide();"/>
                </h:form>
            </p:dialog>
        </ui:define>
    </ui:composition>
</f:view>
</html>
